package de.ozgcloud.archive.common.errorhandling;

import de.ozgcloud.common.errorhandling.TechnicalException;

public class TimeoutException extends TechnicalException {

	private static final String MESSAGE_TEMPLATE = "%s exceeded its time limit.";

	public TimeoutException(String request) {
		super(MESSAGE_TEMPLATE.formatted(request));
	}

	public TimeoutException(String request, Throwable cause) {
		super(MESSAGE_TEMPLATE.formatted(request), cause);
	}

}
