package de.ozgcloud.archive.common.xta;

import static org.assertj.core.api.Assertions.*;

import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;
import org.mockito.InjectMocks;

class XtaFileHelperTest {

	@InjectMocks
	private XtaFileHelper service;

	@DisplayName("Init import confirmation handler")
	@Nested
	class TestInitImportConfirmationHandler {

		@Test
		void shouldReturnInstanceOfHandler() {
			var handler = service.initImportConfirmationHandler(XtaFileTestFactory.create(AbgabeImportBestaetigen0402TestFactory.FILE_PATH));

			assertThat(handler).isNotNull().isInstanceOf(XtaImportConfirmationHandler.class);
		}
	}
}